Subject: RE: [midcom] Update

From: "Sanjoy Sen" <[email-masked]>
Date: Thu, 29 Nov 2001 13:49:21 -0600

Melinda,

    Regarding your point # 4) below, we had previously submitted two
applicability drafts - one on COPS and the other on MEGACO - discussing the
suitability of these for Midcom (at that time, they're beyond the scope of
the Charter). The -00 versions of these drafts could be found at 
http://search.ietf.org/internet-drafts/draft-sct-midcom-megaco-00.txt
http://search.ietf.org/internet-drafts/draft-aoun-midcom-cops-00.txt

and will be soon updated reflecting the latest requirements/framework drafts
and some offline discussions.

These drafts had already began doing some of the legwork that you mentioned
and should also be considered in the context of the re-chartering.

Regards,
Sanjoy

> -----Original Message-----
> From: Melinda Shore [mailto:[email-masked]]
> Sent: Wednesday, November 28, 2001 9:49 AM
> To: [email-masked]
> Subject: [midcom] Update
> 
> 
> 1) We've completed working group last call on the framework draft
>    without finding any serious problems, so the document is going to
>    be handed over for IESG review.  Many thanks to Suresh and the
>    other authors.
> 2) The requirements document is also in working group last call.  
>    WG last call ends on Monday, 10 December.
> 3) The pre-midcom discussion has generally been not that productive.
>    I think that perhaps it might be more useful if people who are not
>    authors on any of the proposed protocols could start identifying
>    issues they feel need to be addressed.  One which will bear some
>    consideration is whether or not the document which contains 
>    encumbered technology is sufficiently superior to the 
> other proposals
>    to be able to be considered a candidate under IETF guidelines.
> 4) We're going to be discussing rechartering at the upcoming IETF
>    meeting.  The new charter would be focused on protocol development.
>    Presumably, following the patterns in other working groups such as
>    AAA, there would be an effort to produce a document discussing
>    the suitability of various existing protocols and drawing 
> comparisons
>    among them, followed by a decision to select one as a base 
> protocol,
>    followed by actual protocol development.  I would very much hate to
>    see the working group sidetracked by pre-midcom discussions.
> 5) I'm throwing a monkey wrench into (4) by asking the 
> working group to
>    consider not following the model described in the framework and
>    requirements drafts.  In 
> draft-shore-friendly-midcom-00.txt I describe
>    a framework for middlebox communication that solves the topology-
>    related problems that have plagued us since the outset, that 
>    provides a better model for inter-domain operation, that can work
>    with multicast, that makes use of the existing IP routing 
> infrastructure,
>    that has better security properties, and that I feel is more 
>    architecturally sound.  My intent here is not to sandbag 
> the working
>    group but to try to make sure that we don't allow 
> procedural rigidity
>    to prevent us from doing the right thing technically.  
> 
> Melinda
> 
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/midcom
>